      subroutine subreadupc(au,lon,AYR,AMN,ADY,AUT,res)
C....................................................Mar 2024
C 
C read uadg or uqrg data for selected long  1997-present
C
        dimension res(71),tec(0:71)
	character*64 infile
	character*2 AYR,AMN,ADY,AUT    
      character*1 au ! =<u> =>/dtu/~uqrg; =<a> => /dta/~uadg
C
       infile='f:\web\graf\dtu\YR\MN\ut\tcMNDDUT00.uYR'  ! uqrg ~ /dta/ uadg
	infile(15:15)=au
	infile(17:18)=AYR
	infile(20:21)=AMN
	infile(28:29)=AMN
	infile(30:31)=ADY
	infile(32:33)=AUT
      infile(38:39)=AYR
   30 format(72(1X,F4.1))
C
       OPEN(19,file=infile,action='READ')
	do kk=1,71
	res(kk)=0.0
	enddo
C
	do lat=1,71
      read(19,30,end=39) (tec(k),k=0,71)
	res(lat)=tec(lon)
	enddo
   39	close(19)
C
       RETURN
	end